{{page-title @model.page.name}}

{{#if @model.page}}
  <div class="pages-content-breadcrumbs">
    <Breadcrumbs @value={{this.breadcrumbs}} />
  </div>

  <SpaceStyle @space={{@model.space}} class="main-container">
    <PageEditor
      @model={{@model}}
      @onSave={{this.saveContent}}
      @onClone={{this.cloneContent}}
      @state={{this.s}}
      @onChangeState={{this.changeState}}
      @onModelIdChange={{this.modelIdChange}}
    />
  </SpaceStyle>
{{else}}
  <LoadingContainer />
{{/if}}
